import 'package:flutter/material.dart';
import 'app.dart';

void main() => runApp(FacebookAdPage());
//
//class AdExampleApp extends StatelessWidget {
//  @override
//  Widget build(BuildContext context) {
//    return MaterialApp(
//      debugShowCheckedModeBanner: false,
//      title: 'FB Audience Network Example',
//      theme: ThemeData(
//        primarySwatch: Colors.blue,
//        buttonTheme: ButtonThemeData(
//          textTheme: ButtonTextTheme.primary,
//          buttonColor: Colors.blue,
//        ),
//      ),
//      home: Scaffold(
//        appBar: AppBar(
//          title: Text(
//            "FB Audience Network Example",
//          ),
//        ),
//        body: AdsPage(),
//      ),
//    );
//  }
//}
//
//class AdsPage extends StatefulWidget {
//  @override
//  AdsPageState createState() => AdsPageState();
//}
//
//class AdsPageState extends State<AdsPage> {
//  bool _isInterstitialAdLoaded = false;
//  bool _isRewardedAdLoaded = false;
//
//  Widget _currentAd = SizedBox(
//    width: 0.0,
//    height: 0.0,
//  );
//
//  @override
//  void initState() {
//    super.initState();
//    _loadInterstitialAd();
//  }
//
//  void _loadInterstitialAd() {
//    FacebookInterstitialAd.loadInterstitialAd(
//      placementId: AD_INTERSTITIAL_PLACEMENT_ID,
//      listener: (result, value) {
//        print("Interstitial Ad: $result --> $value");
//        if (result == InterstitialAdResult.LOADED)
//          _isInterstitialAdLoaded = true;
//        if (result == InterstitialAdResult.DISMISSED &&
//            value["invalidated"] == true) {
//          _isInterstitialAdLoaded = false;
//          _loadInterstitialAd();
//        }
//      },
//    );
//  }
//
//  @override
//  Widget build(BuildContext context) {
//    return Column(
//      mainAxisAlignment: MainAxisAlignment.start,
//      crossAxisAlignment: CrossAxisAlignment.center,
//      children: <Widget>[
//        Flexible(
//          child: Align(
//            alignment: Alignment(0, -1.0),
//            child: Padding(
//              padding: EdgeInsets.all(16),
//              child: _getAllButtons(),
//            ),
//          ),
//          fit: FlexFit.tight,
//          flex: 2,
//        ),
//        Flexible(
//          child: Align(
//            alignment: Alignment(0, 1.0),
//            child: _currentAd,
//          ),
//          fit: FlexFit.tight,
//          flex: 3,
//        )
//      ],
//    );
//  }
//
//  Widget _getAllButtons() {
//    return GridView.count(
//      shrinkWrap: true,
//      crossAxisCount: 2,
//      childAspectRatio: 3,
//      children: <Widget>[
//        _getRaisedButton(title: "Banner Ad", onPressed: _showBannerAd),
//        _getRaisedButton(title: "Native Ad", onPressed: _showNativeAd),
//        _getRaisedButton(title: "Native Banner Ad", onPressed: _showNativeBannerAd),
//        _getRaisedButton(title: "Intestitial Ad", onPressed: _showInterstitialAd),
//      ],
//    );
//  }
//
//  Widget _getRaisedButton({String title, void Function() onPressed}) {
//    return Padding(
//      padding: EdgeInsets.all(8),
//      child: RaisedButton(
//        onPressed: onPressed,
//        child: Text(
//          title,
//          textAlign: TextAlign.center,
//        ),
//      ),
//    );
//  }
//
//  _showInterstitialAd() {
//    if (_isInterstitialAdLoaded == true)
//      FacebookInterstitialAd.showInterstitialAd();
//    else
//      print("Interstial Ad not yet loaded!");
//  }
//
//
//  _showBannerAd() {
//    setState(() {
//      _currentAd = FacebookBannerAd(
//        placementId: AD_BANNER_PLACEMENT_ID,
//        bannerSize: BannerSize.STANDARD,
//        listener: (result, value) {
//          print("Banner Ad: $result -->  $value");
//        },
//      );
//    });
//  }
//
//  _showNativeBannerAd() {
//    setState(() {
//      _currentAd = FacebookNativeAd(
//        placementId: AD_NATIVE_BANNER_PLACEMENT_ID,
//        adType: NativeAdType.NATIVE_BANNER_AD,
//        bannerAdSize: NativeBannerAdSize.HEIGHT_100,
//        width: double.infinity,
//        backgroundColor: Colors.blue,
//        titleColor: Colors.white,
//        descriptionColor: Colors.white,
//        buttonColor: Colors.deepPurple,
//        buttonTitleColor: Colors.white,
//        buttonBorderColor: Colors.white,
//        listener: (result, value) {
//          print("Native Banner Ad: $result --> $value");
//        },
//      );
//    });
//  }
//
//  _showNativeAd() {
//    setState(() {
//      _currentAd = FacebookNativeAd(
//        placementId: AD_NATIVE_PLACEMENT_ID,
//        adType: NativeAdType.NATIVE_AD,
//        width: double.infinity,
//        height: 300,
//        backgroundColor: Colors.blue,
//        titleColor: Colors.white,
//        descriptionColor: Colors.white,
//        buttonColor: Colors.deepPurple,
//        buttonTitleColor: Colors.white,
//        buttonBorderColor: Colors.white,
//        listener: (result, value) {
//          print("Native Ad: $result --> $value");
//        },
//      );
//    });
//  }
//}